#ifndef FIG_HPP
#define FIG_HPP

/** klasa bazowa */
class Fig {
public:
	virtual void draw() const = 0;
	virtual Fig* clone() const = 0;
	virtual ~Fig() {}
};

class Rect : public Fig {
public:
	void draw() const override;
	Fig* clone() const override { return new Rect; }
};

class Circle : public Fig {
public:
	void draw() const override;
	Fig* clone() const override { return new Circle; }
};

#endif //FIG_HPP
