#include <cstddef>

namespace swo::tdd {

class Stack {
 public:
  bool isEmpty() const { return size == 0u; }

  void push(int x) {
    (void)x;
    size++;
    value = x;
  }

  int pop() {
    size--;
    return value;
  }

 private:
  std::size_t size = 0;
  int value;
};

}  // namespace swo::tdd
